lkml.org 
[lkml]   [2014]   [Jul]   [24]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
Patch in this message
/
From
Subject[PATCH 2/2] perf tools: Default to python version 2
Date
According to PEP 394 recommendation [1], it's more portable to use
python2 rather than plain python to refer python binary version 2.

Since there're distros using python3 by default like Arch, and we
don't support python3 (yet), it'd be better using python2 explicitly.

[1] https://www.python.org/dev/peps/pep-0394

Suggested-by: Thomas Ilsche <thomas.ilsche@tu-dresden.de>
Signed-off-by: Namhyung Kim <namhyung@kernel.org>
---
tools/perf/config/Makefile | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/tools/perf/config/Makefile b/tools/perf/config/Makefile
index e05d8f99424d..0f4b7fbc4852 100644
--- a/tools/perf/config/Makefile
+++ b/tools/perf/config/Makefile
@@ -122,7 +122,7 @@ endif

ifndef NO_LIBPYTHON
override PYTHON := \
- $(call get-executable-or-default,PYTHON,python)
+ $(call get-executable-or-default,PYTHON,python2)
override PYTHON_CONFIG := \
$(call get-executable-or-default,PYTHON_CONFIG,$(PYTHON)-config)

--
2.0.0


\
 
 \ /
  Last update: 2014-07-25 06:01    [W:0.058 / U:5.948 seconds]
©2003-2017 Jasper Spaans. hosted at Digital OceanAdvertise on this site